<?php
$tdatapayment_in_advance = array();
$tdatapayment_in_advance[".searchableFields"] = array();
$tdatapayment_in_advance[".ShortName"] = "payment_in_advance";
$tdatapayment_in_advance[".OwnerID"] = "";
$tdatapayment_in_advance[".OriginalTable"] = "supplier_advance_cut";


$tdatapayment_in_advance[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list_view2\"],\"print\":[\"print1\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapayment_in_advance[".originalPagesByType"] = $tdatapayment_in_advance[".pagesByType"];
$tdatapayment_in_advance[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list_view2\"],\"print\":[\"print1\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapayment_in_advance[".originalPages"] = $tdatapayment_in_advance[".pages"];
$tdatapayment_in_advance[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list_view2\",\"print\":\"print1\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapayment_in_advance[".originalDefaultPages"] = $tdatapayment_in_advance[".defaultPages"];

//	field labels
$fieldLabelspayment_in_advance = array();
$fieldToolTipspayment_in_advance = array();
$pageTitlespayment_in_advance = array();
$placeHolderspayment_in_advance = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspayment_in_advance["English"] = array();
	$fieldToolTipspayment_in_advance["English"] = array();
	$placeHolderspayment_in_advance["English"] = array();
	$pageTitlespayment_in_advance["English"] = array();
	$fieldLabelspayment_in_advance["English"]["id"] = "Id";
	$fieldToolTipspayment_in_advance["English"]["id"] = "";
	$placeHolderspayment_in_advance["English"]["id"] = "";
	$fieldLabelspayment_in_advance["English"]["advance_id"] = "Advance Id";
	$fieldToolTipspayment_in_advance["English"]["advance_id"] = "";
	$placeHolderspayment_in_advance["English"]["advance_id"] = "";
	$fieldLabelspayment_in_advance["English"]["amount"] = "Amount";
	$fieldToolTipspayment_in_advance["English"]["amount"] = "";
	$placeHolderspayment_in_advance["English"]["amount"] = "";
	$fieldLabelspayment_in_advance["English"]["date_time"] = "Date Time";
	$fieldToolTipspayment_in_advance["English"]["date_time"] = "";
	$placeHolderspayment_in_advance["English"]["date_time"] = "";
	$fieldLabelspayment_in_advance["English"]["pur_id"] = "Pur Id";
	$fieldToolTipspayment_in_advance["English"]["pur_id"] = "";
	$placeHolderspayment_in_advance["English"]["pur_id"] = "";
	$fieldLabelspayment_in_advance["English"]["max_amount"] = "Max Amount";
	$fieldToolTipspayment_in_advance["English"]["max_amount"] = "";
	$placeHolderspayment_in_advance["English"]["max_amount"] = "";
	if (count($fieldToolTipspayment_in_advance["English"]))
		$tdatapayment_in_advance[".isUseToolTips"] = true;
}


	$tdatapayment_in_advance[".NCSearch"] = true;



$tdatapayment_in_advance[".shortTableName"] = "payment_in_advance";
$tdatapayment_in_advance[".nSecOptions"] = 0;

$tdatapayment_in_advance[".mainTableOwnerID"] = "";
$tdatapayment_in_advance[".entityType"] = 1;
$tdatapayment_in_advance[".connId"] = "test2_at_localhost";


$tdatapayment_in_advance[".strOriginalTableName"] = "supplier_advance_cut";

	



$tdatapayment_in_advance[".showAddInPopup"] = false;

$tdatapayment_in_advance[".showEditInPopup"] = false;

$tdatapayment_in_advance[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapayment_in_advance[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapayment_in_advance[".listAjax"] = false;
//	temporary
$tdatapayment_in_advance[".listAjax"] = false;

	$tdatapayment_in_advance[".audit"] = true;

	$tdatapayment_in_advance[".locking"] = false;


$pages = $tdatapayment_in_advance[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapayment_in_advance[".edit"] = true;
	$tdatapayment_in_advance[".afterEditAction"] = 1;
	$tdatapayment_in_advance[".closePopupAfterEdit"] = 1;
	$tdatapayment_in_advance[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapayment_in_advance[".add"] = true;
$tdatapayment_in_advance[".afterAddAction"] = 1;
$tdatapayment_in_advance[".closePopupAfterAdd"] = 1;
$tdatapayment_in_advance[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapayment_in_advance[".list"] = true;
}



$tdatapayment_in_advance[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapayment_in_advance[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapayment_in_advance[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapayment_in_advance[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapayment_in_advance[".printFriendly"] = true;
}



$tdatapayment_in_advance[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapayment_in_advance[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapayment_in_advance[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapayment_in_advance[".isUseAjaxSuggest"] = true;

$tdatapayment_in_advance[".rowHighlite"] = true;



																																																																																																						

$tdatapayment_in_advance[".ajaxCodeSnippetAdded"] = false;

$tdatapayment_in_advance[".buttonsAdded"] = false;

$tdatapayment_in_advance[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapayment_in_advance[".isUseTimeForSearch"] = false;


$tdatapayment_in_advance[".badgeColor"] = "6493ea";


$tdatapayment_in_advance[".allSearchFields"] = array();
$tdatapayment_in_advance[".filterFields"] = array();
$tdatapayment_in_advance[".requiredSearchFields"] = array();

$tdatapayment_in_advance[".googleLikeFields"] = array();
$tdatapayment_in_advance[".googleLikeFields"][] = "id";
$tdatapayment_in_advance[".googleLikeFields"][] = "advance_id";
$tdatapayment_in_advance[".googleLikeFields"][] = "amount";
$tdatapayment_in_advance[".googleLikeFields"][] = "date_time";
$tdatapayment_in_advance[".googleLikeFields"][] = "pur_id";
$tdatapayment_in_advance[".googleLikeFields"][] = "max_amount";



$tdatapayment_in_advance[".tableType"] = "list";

$tdatapayment_in_advance[".printerPageOrientation"] = 0;
$tdatapayment_in_advance[".nPrinterPageScale"] = 100;

$tdatapayment_in_advance[".nPrinterSplitRecords"] = 40;

$tdatapayment_in_advance[".geocodingEnabled"] = false;










$tdatapayment_in_advance[".pageSize"] = 20;

$tdatapayment_in_advance[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapayment_in_advance[".strOrderBy"] = $tstrOrderBy;

$tdatapayment_in_advance[".orderindexes"] = array();


$tdatapayment_in_advance[".sqlHead"] = "SELECT id,  	advance_id,  	amount,  	date_time,  	pur_id,  	max_amount";
$tdatapayment_in_advance[".sqlFrom"] = "FROM supplier_advance_cut";
$tdatapayment_in_advance[".sqlWhereExpr"] = "";
$tdatapayment_in_advance[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapayment_in_advance[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapayment_in_advance[".arrGroupsPerPage"] = $arrGPP;

$tdatapayment_in_advance[".highlightSearchResults"] = true;

$tableKeyspayment_in_advance = array();
$tableKeyspayment_in_advance[] = "id";
$tdatapayment_in_advance[".Keys"] = $tableKeyspayment_in_advance;


$tdatapayment_in_advance[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("Payment_in_advance","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_in_advance["id"] = $fdata;
		$tdatapayment_in_advance[".searchableFields"][] = "id";
//	advance_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "advance_id";
	$fdata["GoodName"] = "advance_id";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("Payment_in_advance","advance_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "advance_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "advance_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_in_advance["advance_id"] = $fdata;
		$tdatapayment_in_advance[".searchableFields"][] = "advance_id";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("Payment_in_advance","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_in_advance["amount"] = $fdata;
		$tdatapayment_in_advance[".searchableFields"][] = "amount";
//	date_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "date_time";
	$fdata["GoodName"] = "date_time";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("Payment_in_advance","date_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "date_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_in_advance["date_time"] = $fdata;
		$tdatapayment_in_advance[".searchableFields"][] = "date_time";
//	pur_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "pur_id";
	$fdata["GoodName"] = "pur_id";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("Payment_in_advance","pur_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pur_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pur_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_in_advance["pur_id"] = $fdata;
		$tdatapayment_in_advance[".searchableFields"][] = "pur_id";
//	max_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "max_amount";
	$fdata["GoodName"] = "max_amount";
	$fdata["ownerTable"] = "supplier_advance_cut";
	$fdata["Label"] = GetFieldLabel("Payment_in_advance","max_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "max_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "max_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapayment_in_advance["max_amount"] = $fdata;
		$tdatapayment_in_advance[".searchableFields"][] = "max_amount";


$tables_data["Payment in advance"]=&$tdatapayment_in_advance;
$field_labels["Payment_in_advance"] = &$fieldLabelspayment_in_advance;
$fieldToolTips["Payment_in_advance"] = &$fieldToolTipspayment_in_advance;
$placeHolders["Payment_in_advance"] = &$placeHolderspayment_in_advance;
$page_titles["Payment_in_advance"] = &$pageTitlespayment_in_advance;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Payment in advance"] = array();
//	Advance_purchasing
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Advance_purchasing";
		$detailsParam["dOriginalTable"] = "purchasing";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "advance_purchasing";
	$detailsParam["dCaptionTable"] = GetTableCaption("Advance_purchasing");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["Payment in advance"][$dIndex] = $detailsParam;

	
		$detailsTablesData["Payment in advance"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["Payment in advance"][$dIndex]["masterKeys"][]="pur_id";

				$detailsTablesData["Payment in advance"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["Payment in advance"][$dIndex]["detailKeys"][]="id";

// tables which are master tables for current table (detail)
$masterTablesData["Payment in advance"] = array();



	
				$strOriginalDetailsTable="advances_to_supplier";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="advances_to_supplier_status";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "advances_to_supplier_status";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["Payment in advance"][0] = $masterParams;
				$masterTablesData["Payment in advance"][0]["masterKeys"] = array();
	$masterTablesData["Payment in advance"][0]["masterKeys"][]="advance_id";
				$masterTablesData["Payment in advance"][0]["detailKeys"] = array();
	$masterTablesData["Payment in advance"][0]["detailKeys"][]="advance_id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_payment_in_advance()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	advance_id,  	amount,  	date_time,  	pur_id,  	max_amount";
$proto0["m_strFrom"] = "FROM supplier_advance_cut";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "Payment in advance"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "Payment in advance";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "advance_id",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "Payment in advance"
));

$proto8["m_sql"] = "advance_id";
$proto8["m_srcTableName"] = "Payment in advance";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "Payment in advance"
));

$proto10["m_sql"] = "amount";
$proto10["m_srcTableName"] = "Payment in advance";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "date_time",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "Payment in advance"
));

$proto12["m_sql"] = "date_time";
$proto12["m_srcTableName"] = "Payment in advance";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "pur_id",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "Payment in advance"
));

$proto14["m_sql"] = "pur_id";
$proto14["m_srcTableName"] = "Payment in advance";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "max_amount",
	"m_strTable" => "supplier_advance_cut",
	"m_srcTableName" => "Payment in advance"
));

$proto16["m_sql"] = "max_amount";
$proto16["m_srcTableName"] = "Payment in advance";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "supplier_advance_cut";
$proto19["m_srcTableName"] = "Payment in advance";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id";
$proto19["m_columns"][] = "advance_id";
$proto19["m_columns"][] = "amount";
$proto19["m_columns"][] = "date_time";
$proto19["m_columns"][] = "pur_id";
$proto19["m_columns"][] = "max_amount";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "supplier_advance_cut";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "Payment in advance";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Payment in advance";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_payment_in_advance = createSqlQuery_payment_in_advance();


	
		;

						

$tdatapayment_in_advance[".sqlquery"] = $queryData_payment_in_advance;



include_once(getabspath("include/payment_in_advance_events.php"));
$tableEvents["Payment in advance"] = new eventclass_payment_in_advance;
$tdatapayment_in_advance[".hasEvents"] = true;

?>